## org.gnu.gtk
Class Image

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.gtk.GtkObject
              org.gnu.gtk.Widget
                  org.gnu.gtk.Misc
                      org.gnu.gtk.Image

public class Image
extends Misc

The Image widget displays an image. Various kinds of objects can be displayed as an image; most typically you would create a `Pixbuf` from a file and then display that.

If the file isn't loaded successfully, the image will contain a "broken image" icon similar to that used in many web browsers.

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Constructor Summary
`Image()` Constructs a new Image.
`Image(GtkStockItem stockId, IconSize size)` Create an Image displaying a Stock icon.
`Image(Handle handle)` Construct an Image from a handle to a native resource.
`Image(IconSet iconSet, IconSize size)` Creates an Image displaying an IconSet.
`Image(Image image, Bitmap mask)` Create an Image widget displaying a image and a mask.
`Image(Pixbuf pixbuf)` Creates an Image from a `Pixbuf`.
`Image(PixbufAnimation animation)` Creates an Image displaying the given PixbufAnimation.
`Image(Pixmap pixmap, Bitmap mask)` Create an Image from a `Pixmap`.
`Image(java.lang.String filename)` Construct a new image passing the filename of an image.
`Image(java.lang.String iconName, IconSize size)` Create an Image

Method Summary
`java.lang.String` `getIconName()`
`int` `getPixelSize()`
`ImageType` `getStorageType()` Gets the type of representation being used by the Image to store image data.
`static Type` `getType()` Retrieve the runtime type used by the GLib library.
`protected static Handle` `gtk_image_get_animation(Handle image)`
`protected static void` `gtk_image_get_icon_name(Handle image, java.lang.String iconName, int[] size)`
`protected static void` `gtk_image_get_icon_set(Handle image, Handle iconSet, int[] size)`
`protected static void` `gtk_image_get_image(Handle image, Handle gdkImage, Handle mask)`
`protected static Handle` `gtk_image_get_pixbuf(Handle image)`
`protected static int` `gtk_image_get_pixel_size(Handle image)`
`protected static void` `gtk_image_get_pixmap(Handle image, Handle pixmap, Handle mask)`
`protected static void` `gtk_image_get_stock(Handle image, java.lang.String[] stockId, int[] size)`
`protected static int` `gtk_image_get_storage_type(Handle image)`
`protected static int` `gtk_image_get_type()`
`protected static Handle` `gtk_image_new_from_animation(Handle animation)`
`protected static Handle` `gtk_image_new_from_file(java.lang.String filename)`
`protected static Handle` `gtk_image_new_from_icon_name(java.lang.String iconName, int size)`
`protected static Handle` `gtk_image_new_from_icon_set(Handle iconSet, int size)`
`protected static Handle` `gtk_image_new_from_image(Handle image, Handle mask)`
`protected static Handle` `gtk_image_new_from_pixbuf(Handle pixbuf)`
`protected static Handle` `gtk_image_new_from_pixmap(Handle pixmap, Handle mask)`
`protected static Handle` `gtk_image_new_from_stock(java.lang.String stockId, int size)`
`protected static Handle` `gtk_image_new()`
`protected static void` `gtk_image_set_from_animation(Handle image, Handle animation)`
`protected static void` `gtk_image_set_from_file(Handle image, java.lang.String filename)`
`protected static void` `gtk_image_set_from_icon_name(Handle image, java.lang.String iconName, int size)`
`protected static void` `gtk_image_set_from_icon_set(Handle image, Handle iconSet, int size)`
`protected static void` `gtk_image_set_from_image(Handle image, Handle gdkImage, Handle mask)`
`protected static void` `gtk_image_set_from_pixbuf(Handle image, Handle pixbuf)`
`protected static void` `gtk_image_set_from_pixmap(Handle image, Handle pixmap, Handle mask)`
`protected static void` `gtk_image_set_from_stock(Handle image, java.lang.String stockId, int size)`
`protected static void` `gtk_image_set_pixel_size(Handle image, int pixelSize)`
`void` `set(GtkStockItem stockId, IconSize size)` Set the image to a Stock icon.
`void` `set(IconSet iconSet, IconSize size)` Sets the image to displayian IconSet.
`void` `set(Image image, Bitmap mask)` Sets the image widget to displaying a image and a mask.
`void` `set(Pixbuf pixbuf)` Sets the Image from a `Pixbuf`.
`void` `set(PixbufAnimation animation)` Sets to image to the given PixbufAnimation.
`void` `set(Pixmap pixmap, Bitmap mask)` Sets the image to the given `Pixmap`.
`void` `set(java.lang.String filename)` Sets the image from a file
`void` `set(java.lang.String iconName, IconSize size)`
`void` `setPixelSize(int pixelSize)`

Methods inherited from class org.gnu.gtk.Misc
`getXAlign, getXPadding, getYAlign, getYPadding, gtk_misc_get_alignment, gtk_misc_get_padding, gtk_misc_get_type, gtk_misc_set_alignment, gtk_misc_set_padding, setAlignment, setPadding`

Methods inherited from class org.gnu.gtk.Widget

`activate, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, canActivateAccel, createContext, createLayout, destroy, draw, drawArea, drawArea, findListener, finish, fireBooleanLifeCycleEvent, fireDragDestinationEvent, fireDragSourceEvent, fireExposeEvent, fireFocusEvent, fireKeyEvent, fireLifeCycleEvent, fireMouseEvent, fireMouseMotionEvent, getAccessible, getColormap, getContext, getData, getDisplay, getEventListenerClass, getEventType, getModifierStyle, getName, getParent, getParentWindow, getPointer, getRootWindow, getScreen, getSensitive, getStyle, getToplevel, getWindow, grabDefault, grabFocus, gtk_drag_dest_set, gtk_drag_dest_unset, gtk_drag_finish, gtk_drag_get_data, gtk_drag_highlight, gtk_drag_source_set_icon_pixbuf, gtk_drag_source_set_icon_stock, gtk_drag_source_set_icon, gtk_drag_source_set, gtk_drag_source_unset, gtk_drag_unhighlight, gtk_widget_activate, gtk_widget_add_accelerator, gtk_widget_add_events, gtk_widget_add_mnemonic_label, gtk_widget_can_activate_accel, gtk_widget_child_focus, gtk_widget_child_notify, gtk_widget_class_path, gtk_widget_create_pango_context, gtk_widget_create_pango_layout, gtk_widget_destroy, gtk_widget_destroyed, gtk_widget_ensure_style, gtk_widget_event, gtk_widget_freeze_child_notify, gtk_widget_get_accessible, gtk_widget_get_ancestor, gtk_widget_get_child_requisition, gtk_widget_get_child_visible, gtk_widget_get_colormap, gtk_widget_get_composite_name, gtk_widget_get_default_colormap, gtk_widget_get_default_direction, gtk_widget_get_default_style, gtk_widget_get_default_visual, gtk_widget_get_direction, gtk_widget_get_display, gtk_widget_get_events, gtk_widget_get_extension_events, gtk_widget_get_modifier_style, gtk_widget_get_name, gtk_widget_get_pango_context, gtk_widget_get_parent_window, gtk_widget_get_parent, gtk_widget_get_pointer, gtk_widget_get_root_window, gtk_widget_get_screen, gtk_widget_get_sensitive, gtk_widget_get_settings, gtk_widget_get_size_request, gtk_widget_get_style, gtk_widget_get_toplevel, gtk_widget_get_type, gtk_widget_get_visual, gtk_widget_get_window, gtk_widget_grab_default, gtk_widget_grab_focus, gtk_widget_has_screen, gtk_widget_hide_all, gtk_widget_hide_on_delete, gtk_widget_hide, gtk_widget_intersect, gtk_widget_is_ancestor, gtk_widget_is_focus, gtk_widget_list_accel_closures, gtk_widget_list_mnemonic_labels, gtk_widget_map, gtk_widget_mnemonic_activate, gtk_widget_modify_base, gtk_widget_modify_bg, gtk_widget_modify_fg, gtk_widget_modify_font, gtk_widget_modify_style, gtk_widget_modify_text, gtk_widget_path, gtk_widget_pop_colormap, gtk_widget_pop_composite_child, gtk_widget_push_colormap, gtk_widget_push_composite_child, gtk_widget_queue_draw_area, gtk_widget_queue_draw, gtk_widget_queue_resize, gtk_widget_realize, gtk_widget_ref, gtk_widget_region_intersect, gtk_widget_remove_accelerator, gtk_widget_remove_mnemonic_label, gtk_widget_render_icon, gtk_widget_reparent, gtk_widget_reset_rc_styles, gtk_widget_send_expose, gtk_widget_set_accel_path, gtk_widget_set_app_paintable, gtk_widget_set_child_visible, gtk_widget_set_colormap, gtk_widget_set_composite_name, gtk_widget_set_default_colormap, gtk_widget_set_default_direction, gtk_widget_set_direction, gtk_widget_set_double_buffered, gtk_widget_set_events, gtk_widget_set_extension_events, gtk_widget_set_name, gtk_widget_set_parent_window, gtk_widget_set_parent, gtk_widget_set_redraw_on_allocate, gtk_widget_set_scroll_adjustments, gtk_widget_set_sensitive, gtk_widget_set_size_request, gtk_widget_set_state, gtk_widget_set_style, gtk_widget_shape_combine_mask, gtk_widget_show_all, gtk_widget_show_now, gtk_widget_show, gtk_widget_size_allocate, gtk_widget_size_request, gtk_widget_style_get_property, gtk_widget_thaw_child_notify, gtk_widget_translate_coordinates, gtk_widget_unmap, gtk_widget_unparent, gtk_widget_unrealize, gtk_widget_unref, handleButtonPressed, handleButtonReleased, handleDelete, handleDragDataGet, handleDragDestination, handleExpose, handleFocusIn, handleFocusOut, handleHide, handleKeyPressed, handleKeyReleased, handleMap, handleMouseEnter, handleMouseLeave, handleMouseMotion, handleNoExpose, handleRealize, handleScroll, handleShow, handleUnmap, hasFocus, hasScreen, hide, hideAll, highlight, intersect, isAncestor, makeWidget, modifyStyle, popColormap, pushColormap, realize, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, reparent, setBackgroundColor, setBaseColor, setColormap, setDoubleBuffered, setDragDestination, setDragIcon, setDragIconPixbuf, setDragIconStock, setDragSource, setFont, setForegroundColor, setMinimumSize, setName, setNoDragDestination, setNoDragSource, setSensitive, setTextColor, shapeCombineMask, show, showAll, unHighlight`

Methods inherited from class org.gnu.gtk.GtkObject
`getFlags, gtk_object_destroy, gtk_object_get_type, gtk_object_sink, setFlags, sink`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Image

    public Image(java.lang.String filename)

  Construct a new image passing the filename of an image.

Parameters:
  `filename` - The filename for the image to load.

### Image

    public Image(Image image,
                 Bitmap mask)

  Create an Image widget displaying a image and a mask. A org.gnu.gdk.Image is a client-side image buffer in the pixel format of the current display.

Parameters:
  `image` - The org.gnu.gdk.Image to use for this object creation.
  `mask` - The org.gnu.gdk.Mask to apply to the image.

### Image

    public Image(Pixbuf pixbuf)

  Creates an Image from a `Pixbuf`.

Parameters:
  `pixbuf` - The Pixbuf to use for the Image creation.

### Image

    public Image(Pixmap pixmap,
                 Bitmap mask)

  Create an Image from a `Pixmap`.

Parameters:
  `pixmap` - The Pixmap to use for the Image creation.
  `mask` - The mask to apply to the created Image.

### Image

    public Image(PixbufAnimation animation)

  Creates an Image displaying the given PixbufAnimation.

Parameters:
  `animation` - The PixbufAnimation to use for this object creation.

### Image

    public Image(java.lang.String iconName,
                 IconSize size)

  Create an Image

### Image

    public Image(Handle handle)

  Construct an Image from a handle to a native resource.

### Image

    public Image(IconSet iconSet,
                 IconSize size)

  Creates an Image displaying an IconSet.

Parameters:
  `iconSet` - The IconSet to use for the Image.
  `size` - The IconSize to use for the Image.

### Image

    public Image(GtkStockItem stockId,
                 IconSize size)

  Create an Image displaying a Stock icon.

Parameters:
  `stockId` - The id of the Stock icon to display.
  `size` - The size of the icon.

### Image

    public Image()

  Constructs a new Image. This will be displayed as a "no image" icon until an image is set using one of the set* methods.

Method Detail

### getStorageType

    public ImageType getStorageType()

  Gets the type of representation being used by the Image to store image data.

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.

### set

    public void set(Pixmap pixmap,
                    Bitmap mask)

  Sets the image to the given `Pixmap`.

  Parameters:
    `pixmap` - The Pixmap to use for the Image.
    `mask` - The mask to apply to the Image.

### set

    public void set(Image image,
                    Bitmap mask)

  Sets the image widget to displaying a image and a mask. A org.gnu.gdk.Image is a client-side image buffer in the pixel format of the current display.

  Parameters:
    `image` - The org.gnu.gdk.Image to use for this object.
    `mask` - The org.gnu.gdk.Mask to apply to the image.

### set

    public void set(Pixbuf pixbuf)

  Sets the Image from a `Pixbuf`.

  Parameters:
    `pixbuf` - The Pixbuf to use for the Image.

### set

    public void set(PixbufAnimation animation)

  Sets to image to the given PixbufAnimation.

  Parameters:
    `animation` - The PixbufAnimation to use for this object.

### set

    public void set(java.lang.String iconName,
                    IconSize size)

### set

    public void set(IconSet iconSet,
                    IconSize size)

  Sets the image to displayian IconSet.

  Parameters:
    `iconSet` - The IconSet to use for the Image.
    `size` - The IconSize to use for the Image.

### set

    public void set(GtkStockItem stockId,
                    IconSize size)

  Set the image to a Stock icon.

  Parameters:
    `stockId` - The id of the Stock icon to display.
    `size` - The size of the icon.

### set

    public void set(java.lang.String filename)

  Sets the image from a file

  Parameters:
    `filename` - The filename for the image to load.

### setPixelSize

    public void setPixelSize(int pixelSize)

### getPixelSize

    public int getPixelSize()

### getIconName

    public java.lang.String getIconName()

### gtk_image_get_type

    protected static final int gtk_image_get_type()

### gtk_image_new

    protected static final Handle gtk_image_new()

### gtk_image_new_from_pixmap

    protected static final Handle gtk_image_new_from_pixmap(Handle pixmap,
                                                            Handle mask)

### gtk_image_new_from_image

    protected static final Handle gtk_image_new_from_image(Handle image,
                                                           Handle mask)

### gtk_image_new_from_file

    protected static final Handle gtk_image_new_from_file(java.lang.String filename)

### gtk_image_new_from_pixbuf

    protected static final Handle gtk_image_new_from_pixbuf(Handle pixbuf)

### gtk_image_new_from_stock

    protected static final Handle gtk_image_new_from_stock(java.lang.String stockId,
                                                           int size)

### gtk_image_new_from_icon_set

    protected static final Handle gtk_image_new_from_icon_set(Handle iconSet,
                                                              int size)

### gtk_image_new_from_animation

    protected static final Handle gtk_image_new_from_animation(Handle animation)

### gtk_image_new_from_icon_name

    protected static final Handle gtk_image_new_from_icon_name(java.lang.String iconName,
                                                               int size)

### gtk_image_set_from_pixmap

    protected static final void gtk_image_set_from_pixmap(Handle image,
                                                          Handle pixmap,
                                                          Handle mask)

### gtk_image_set_from_image

    protected static final void gtk_image_set_from_image(Handle image,
                                                         Handle gdkImage,
                                                         Handle mask)

### gtk_image_set_from_file

    protected static final void gtk_image_set_from_file(Handle image,
                                                        java.lang.String filename)

### gtk_image_set_from_pixbuf

    protected static final void gtk_image_set_from_pixbuf(Handle image,
                                                          Handle pixbuf)

### gtk_image_set_from_stock

    protected static final void gtk_image_set_from_stock(Handle image,
                                                         java.lang.String stockId,
                                                         int size)

### gtk_image_set_from_icon_set

    protected static final void gtk_image_set_from_icon_set(Handle image,
                                                            Handle iconSet,
                                                            int size)

### gtk_image_set_from_animation

    protected static final void gtk_image_set_from_animation(Handle image,
                                                             Handle animation)

### gtk_image_set_from_icon_name

    protected static final void gtk_image_set_from_icon_name(Handle image,
                                                             java.lang.String iconName,
                                                             int size)

### gtk_image_set_pixel_size

    protected static final void gtk_image_set_pixel_size(Handle image,
                                                         int pixelSize)

### gtk_image_get_storage_type

    protected static final int gtk_image_get_storage_type(Handle image)

### gtk_image_get_pixmap

    protected static final void gtk_image_get_pixmap(Handle image,
                                                     Handle pixmap,
                                                     Handle mask)

### gtk_image_get_image

    protected static final void gtk_image_get_image(Handle image,
                                                    Handle gdkImage,
                                                    Handle mask)

### gtk_image_get_pixbuf

    protected static final Handle gtk_image_get_pixbuf(Handle image)

### gtk_image_get_stock

    protected static final void gtk_image_get_stock(Handle image,
                                                    java.lang.String[] stockId,
                                                    int[] size)

### gtk_image_get_icon_set

    protected static final void gtk_image_get_icon_set(Handle image,
                                                       Handle iconSet,
                                                       int[] size)

### gtk_image_get_animation

    protected static final Handle gtk_image_get_animation(Handle image)

### gtk_image_get_icon_name

    protected static final void gtk_image_get_icon_name(Handle image,
                                                        java.lang.String iconName,
                                                        int[] size)

### gtk_image_get_pixel_size

    protected static final int gtk_image_get_pixel_size(Handle image)